package com.chenyang.nse.bussiness.entity.param.filesystem;

import java.util.List;

public class FileDemoParam {
   private List<String> title;
   private String firsttitlerow;
   private String separatetype;
   private String widthstring;
   private String separate;
   private String separatestring;
   private String limit;
   private String series;
   private String multi;
   private String escape;
   private String filestructurename;
   private String filestructuregroup;

   public FileDemoParam() {
   }

   public FileDemoParam(List<String> title, String firsttitlerow, String separatetype, String widthstring, String separate, String separatestring, String limit, String series, String multi, String escape, String filestructurename, String filestructuregroup) {
      this.title = title;
      this.firsttitlerow = firsttitlerow;
      this.separatetype = separatetype;
      this.widthstring = widthstring;
      this.separate = separate;
      this.separatestring = separatestring;
      this.limit = limit;
      this.series = series;
      this.multi = multi;
      this.escape = escape;
      this.filestructurename = filestructurename;
      this.filestructuregroup = filestructuregroup;
   }

   public List<String> getTitle() {
      return this.title;
   }

   public void setTitle(List<String> title) {
      this.title = title;
   }

   public String getSeparatetype() {
      return this.separatetype;
   }

   public void setSeparatetype(String separatetype) {
      this.separatetype = separatetype;
   }

   public String getWidthstring() {
      return this.widthstring;
   }

   public void setWidthstring(String widthstring) {
      this.widthstring = widthstring;
   }

   public String getSeparate() {
      return this.separate;
   }

   public void setSeparate(String separate) {
      this.separate = separate;
   }

   public String getSeparatestring() {
      return this.separatestring;
   }

   public void setSeparatestring(String separatestring) {
      this.separatestring = separatestring;
   }

   public String getLimit() {
      return this.limit;
   }

   public void setLimit(String limit) {
      this.limit = limit;
   }

   public String getSeries() {
      return this.series;
   }

   public void setSeries(String series) {
      this.series = series;
   }

   public String getMulti() {
      return this.multi;
   }

   public void setMulti(String multi) {
      this.multi = multi;
   }

   public String getEscape() {
      return this.escape;
   }

   public void setEscape(String escape) {
      this.escape = escape;
   }

   public String getFilestructurename() {
      return this.filestructurename;
   }

   public void setFilestructurename(String filestructurename) {
      this.filestructurename = filestructurename;
   }

   public String getFilestructuregroup() {
      return this.filestructuregroup;
   }

   public void setFilestructuregroup(String filestructuregroup) {
      this.filestructuregroup = filestructuregroup;
   }

   public String getFirsttitlerow() {
      return this.firsttitlerow;
   }

   public void setFirsttitlerow(String firsttitlerow) {
      this.firsttitlerow = firsttitlerow;
   }
}
